## ros-melodic-kobuki-ftdi 0.7.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(kobuki_ftdi)
find_package(catkin REQUIRED COMPONENTS ecl_command_line)

# pkg-config packages
find_package(PkgConfig)
pkg_check_modules(libusb REQUIRED libusb)
pkg_check_modules(libftdi REQUIRED libftdi)

catkin_package(
   INCLUDE_DIRS include
   CATKIN_DEPENDS ecl_command_line
   DEPENDS libusb libftdi
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_subdirectory(src)

install(DIRECTORY bluetooth
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY eeproms
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(PROGRAMS scripts/turtlebot_config
                 scripts/create_udev_rules
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES 57-kobuki.rules
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# This has issues....hydro doing th same thing will result in 
# a file conflict. We could call it 57-groovy-kobuki.rules and
# 57-hydro-kobuki.rules. But that seems kind of lame and could
# break things if they are actually different (which should
# be called - udev will have no idea).

#install(FILES 57-kobuki.rules
#        DESTINATION /etc/udev/rules.d/
#)

=== debian/changelog ===
ros-melodic-kobuki-ftdi (0.7.12-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Younghun Ju <yhju@yujinrobot.com>  Wed, 16 Sep 2020 02:09:57 -0000

ros-melodic-kobuki-ftdi (0.7.9-1bionic) bionic; urgency=high

  * [udev] restore low latency timer for ftdi operation

 -- Younghun Ju <yhju@yujinrobot.com>  Mon, 20 Aug 2018 04:00:00 -0000

ros-melodic-kobuki-ftdi (0.7.8-1bionic) bionic; urgency=high

  * debian postinstall script for kobuki's udev rule

 -- Younghun Ju <yhju@yujinrobot.com>  Sun, 02 Apr 2017 04:00:00 -0000

ros-melodic-kobuki-ftdi (0.7.5-1bionic) bionic; urgency=high

  * bugfixing the missing pkg-config dependency

 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 03 Mar 2017 05:00:00 -0000

ros-melodic-kobuki-ftdi (0.7.3-1bionic) bionic; urgency=high

  * bugfix the missing prefix in the pkg_search_module calls

 -- Younghun Ju <yhju@yujinrobot.com>  Thu, 23 Feb 2017 05:00:00 -0000

ros-melodic-kobuki-ftdi (0.6.1-1bionic) bionic; urgency=high

  * remove kobuki_ros kobuki_nodelet libaries export in catkin_package closes #16 <https://github.com/yujinrobot/kobuki_core/issues/16>
  * Contributors: Jihoon Lee

 -- Younghun Ju <yhju@yujinrobot.com>  Wed, 27 May 2015 04:00:00 -0000

ros-melodic-kobuki-ftdi (0.6.0-1bionic) bionic; urgency=high

  * Fix compilation.
    - fix the names of the pkg-config libraries of libusb and libftdi. I checked on Ubuntu and OS X.
    - ftdi-eeprom is not a library and has no pkg-config file.
  * Update the readme in kobuki_ftdi
  * Create README.md
  * kobuki_ftdi : Updated doxygen document.
  * Contributors: Jihoon Lee, Nikolaus Demmel, Younghun Ju

 -- Younghun Ju <yhju@yujinrobot.com>  Mon, 04 Aug 2014 04:00:00 -0000

ros-melodic-kobuki-ftdi (0.5.3-1bionic) bionic; urgency=high



 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 06 Sep 2013 04:00:00 -0000

ros-melodic-kobuki-ftdi (0.5.2-1bionic) bionic; urgency=high



 -- Younghun Ju <yhju@yujinrobot.com>  Sat, 31 Aug 2013 04:00:00 -0000

ros-melodic-kobuki-ftdi (0.5.1-1bionic) bionic; urgency=high

  * Updated license info.

 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-melodic-kobuki-ftdi (0.5.0-1bionic) bionic; urgency=high

  * Added extra url info on all packages.
  * Updated old rnd email address.
  * Fix URL to the previous changelog wiki.
  * Changelogs at package level.

 -- Younghun Ju <yhju@yujinrobot.com>  Thu, 29 Aug 2013 04:00:00 -0000

ros-melodic-kobuki-ftdi (0.4.0-1bionic) bionic; urgency=high



 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 09 Aug 2013 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-kobuki-ftdi
Section: misc
Priority: optional
Maintainer: Younghun Ju <yhju@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ftdi-eeprom, libftdi-dev, libusb-dev, pkg-config, ros-melodic-catkin, ros-melodic-ecl-command-line
Homepage: http://ros.org/wiki/kobuki_ftdi
Standards-Version: 3.9.2

Package: ros-melodic-kobuki-ftdi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ftdi-eeprom, libftdi-dev, libusb-dev, ros-melodic-ecl-command-line
Description: Utilities for flashing and enabling Kobuki's USB connection.
 This package contains tools for flashing the Kobuki's FTDI chip (usually done at the factory). The special firmware for the FTDI chip (USB to serial converter) enables it to appear as /dev/kobuki on the user's PC.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-kobuki-ftdi//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
